%{?!python_module:%define python_module() python3-%{**}}
Name:           python-glfw
Version:        2.5.0
Release:        %mkrel 2
Summary:        A ctypes-based wrapper for GLFW3
License:        MIT
Group:          Development/Python
URL:            https://github.com/FlorianRhiem/pyGLFW
Source:         https://files.pythonhosted.org/packages/source/g/glfw/glfw-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  glfw-devel
BuildRequires:  python-rpm-macros
BuildRequires:  python3
BuildArch:      noarch

%global _description\
This module provides Python bindings for GLFW . It is a \
ctypes wrapper which keeps very close to the original GLFW API,\
except for:\
\
-  function names use the pythonic ``words_with_underscores`` notation\
   instead of ``camelCase``\
-  ``GLFW_`` and ``glfw`` prefixes have been removed, as their function\
   is replaced by the module namespace\
-  structs have been replaced with Python sequences\
-  functions like ``glfwGetMonitors`` return a list instead of a pointer\
   and an object count\
-  Gamma ramps use floats between 0.0 and 1.0 instead of unsigned shorts\
-  GLFW errors are reported as ``glfw.GLFWError`` exceptions if no error\
   callback is set (use ``glfw.ERROR_REPORTING=False`` to disable this)\

%description %_description

%package -n python3-glfw
Summary: A ctypes-based wrapper for GLFW3

%description -n python3-glfw %_description

%prep
%setup -q -n glfw-%{version}

%build
%py3_build

%install
%py3_install

%check
# no upstream tests

%files -n python3-glfw
%license LICENSE.txt
%doc README.rst
%{python_sitelib}/*


%changelog
* Sun Mar 27 2022 umeabot <umeabot> 2.5.0-2.mga9
+ Revision: 1829386
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 2.5.0-1.mga9
+ Revision: 1784460
- version 2.5.0
- rebuild for python-3.10

* Sun Apr 04 2021 joequant <joequant> 2.1.0-1.mga9
+ Revision: 1713343
- update to 2.1.0 / python 3.9

* Fri Aug 21 2020 joequant <joequant> 1.11.2-1.mga8
+ Revision: 1617214
- imported package python-glfw

